Index: apps/app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.126
diff -u -r1.126 app_meetme.c
--- apps/app_meetme.c	11 Nov 2005 00:45:02 -0000	1.126
+++ apps/app_meetme.c	16 Nov 2005 22:25:47 -0000
@@ -1307,7 +1307,20 @@
 						   audio frames (in which case carefully writing would only
 						   have delayed the audio even further).
 						*/
-						write(fd, f->data, f->datalen);
+						unsigned char *data = f->data;
+						int len = f->datalen;
+						while (len > 0) {
+							int res = write(fd, data, len);
+							if (res < 1) {
+								if (errno != EAGAIN)
+									ast_log(LOG_WARNING, "Failed to write audio data to conference: %s\n", strerror(errno));
+								break;
+							}
+							len -= res;
+							data += res;
+							if (option_verbose > 3)
+								ast_verbose(VERBOSE_PREFIX_4 "Write %d byte(s), channel format %d\n", res, c->nativeformats);
+						}
 					}
 				} else if ((f->frametype == AST_FRAME_DTMF) && (confflags & CONFFLAG_EXIT_CONTEXT)) {
 					char tmp[2];
